summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJulian Andres Klode <jak@debian.org>2015-12-14 10:42:38 +0100
committerJulian Andres Klode <jak@debian.org>2015-12-14 10:42:38 +0100
commit5146566b022c1821d85d79e60ca5ba69d31370e1 (patch)
tree8ec0b760cfe06af5bed79a562d0adeb701910670
parent895444792674aa3c238b79cc47bc5cb99718ac57 (diff)
test-apt-download-progress: Allow smaller progress change
Instead of checking for [10%, 100%), check for (0%, 100%), that is everything < 100% and >0%. Gbp-Dch: ignore
-rwxr-xr-xtest/integration/test-apt-download-progress2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/integration/test-apt-download-progress b/test/integration/test-apt-download-progress
index 64a122a06..07c61abab 100755
--- a/test/integration/test-apt-download-progress
+++ b/test/integration/test-apt-download-progress
@@ -13,7 +13,7 @@ changetohttpswebserver
assertprogress() {
T="$1"
testsuccess grep "dlstatus:1:0:Retrieving file 1 of 1" "$T"
- if ! grep -E -q "dlstatus:1:[1-9][0-9](\..*)?:Retrieving file 1 of 1" "$T"; then
+ if ! grep -E -q "dlstatus:1:(0\..*|([1-9](\..*)?)|[1-9][0-9](\..*)?):Retrieving file 1 of 1" "$T"; then
cat "$T"
msgfail "Failed to detect download progress"
fi